[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# DaysInAYear

Number of days in a particular year.

## Declaration

Source position: dateutil.inc line 99

`function DaysInAYear(`
`const AYear: Word`
`):Word;`

## Arguments

`AYear` |  | Year to return the number of days from

## Function result

Number of days in year AYear.

## Description

DaysInAYear returns the number of weeks in the year AYear. The return value is either 365 or 366.

## See also

WeeksInAYear |  | Return the number of weeks in a given year
WeeksInYear |  | return the number of weeks in the year, given a date
DaysInYear |  | Return the number of days in the year in which a date occurs.
DaysInMonth |  | Return the number of days in the month in which a date occurs.
DaysInAMonth |  | Number of days in a month of a certain year.

## Example

    Program Example15;

    { This program demonstrates the DaysInAYear function }

    Uses SysUtils,DateUtils;

    Var
      Y : Word;

    Begin
      For Y:=1992 to 2010 do
        Writeln(Y,' has ',DaysInAYear(Y),' days.');
    End.

Documentation generated on: Feb 26 2014